#ifndef BGCalc_h
#define BGCalc_h

#include "util/include/ActiveObserver.h"
#include "AnalysisFramework/AnalysisSteering.h"

class Event;

class BGCalc: public AnalysisSteering,
              public ActiveObserver<Event> {

 public:

  BGCalc( const AnalysisInfo* info );
  virtual ~BGCalc();

  // function to be called at execution start
  virtual void beginJob();
  // function to be called at execution end
  virtual void   endJob();
  // function to be called for each event
  virtual void update( const Event& ev );

 private:

  // dummy copy constructor and assignment to prevent unadvertent copy
  BGCalc           ( const BGCalc& x );
  BGCalc& operator=( const BGCalc& x );

  // min and max energy, min and max point, number of selected events
  int eMin;
  int eMax;
  int bMin;
  int bMax;
  int nEvt;

  // sum of energies and sum of square energies
  float bSum;
  float bSqr;

};

#endif

